dnl $Id$
dnl
dnl some autoconfiguration for Sinus Firewall compilation
dnl
dnl $Log$
dnl


##
## Which javac to use.
## some people might want to use jikes...
##
AC_DEFUN(AC_CHECK_JAVAC,
[ AC_MSG_CHECKING([for Java compiler])
  AC_ARG_WITH(javac,[  --javac                 full path to javac (default: systems javac)],
  [
    ac_cv_javac=$withval
  ],
  [
    AC_CACHE_VAL(ac_cv_javac,
    [
      ac_cv_javac=`which javac`
    ])
  ])
  
  AC_SUBST(ac_javac)dnl
  ac_javac=$ac_cv_javac
  AC_SUBST(JAVAC)dnl
  JAVAC=$ac_cv_javac

  AC_MSG_RESULT([$ac_javac])
  AC_PROVIDE([$0])
])

##
## Find Swing libraries
##
AC_DEFUN(AC_CHECK_SWING,
[ AC_MSG_CHECKING([for Java Swing libraries])
  AC_ARG_WITH(swing,[  --with-swing=jar        SWING classpath],
  [
    ac_cv_swing=$withval
  ],
  [
    AC_CACHE_VAL(ac_cv_swing,
    [
      ac_cv_swing=`/bin/ls /usr/lib/java/swingall.jar /usr/local/lib/java/swingall.jar /usr/local/lib/java/swing/swingall.jar 2>/dev/null | /usr/bin/head -1`
    ])
  ])
  AC_SUBST(ac_swing)dnl
  ac_swing=$ac_cv_swing
  #ac_swing="$JAVACLASSES/classes.zip:$ac_cv_classpath"

  test -z "$ac_cv_swing" && AC_WARN([No Swing set - expect trouble.])

  test -n "$ac_cv_swing" && AC_MSG_RESULT([$ac_swing])
  AC_PROVIDE([$0])
])
